Skip to content
Esc
↑↓navigate↵open⌘Jpreview

payment.failed

Sent when a payment fails or expires.

POSTpaymentFailedWebhook
Request body
application/json
typestring
dataPayment
Show properties
idstringrequired
amountintegerrequired

Amount in the smallest unit of the currency (e.g. Rupiah has no sub-unit, so this is whole Rupiah).

currencystringrequired
methodPaymentMethodrequired
Allowed:qrisvirtual_accountcardewallet
statusPaymentStatusrequired
Allowed:pendingsucceededfailedcanceled
customer_idstring | null
descriptionstring | null
created_atstring<date-time>required
Responses
200

Return a 200 to acknowledge the event.

Payload
{
  "type": "payment.failed",
  "data": {
    "id": "pay_6b2f9d4e",
    "amount": 150000,
    "currency": "IDR",
    "method": "qris",
    "status": "pending",
    "customer_id": "cus_8f3a2b1c",
    "description": "Order",
    "created_at": "2019-08-24T14:15:22Z"
  }
}
Response
Return a 200 to acknowledge the event.